Attribute VB_Name = "modConfig"
Private Const CONFIG_INI            As String = "\Config.ini"
Private Const CONFIG_HEADER         As String = "CONFIG"
Private Const CONFIG_GAME_HEADER    As String = "GAME"
Private Const CONFIG_VAR_ACC        As String = "Account"
Private Const CONFIG_VAR_PASS       As String = "Pass"
Private Const CONFIG_VAR_KEY        As String = "CDkey"
Private Const CONFIG_VAR_CLIENT     As String = "Client"
Private Const CONFIG_VAR_SERVER     As String = "Server"
Private Const CONFIG_VAR_CHANNEL    As String = "Channel"
Private Const CONFIG_VAR_BNLS       As String = "BNLS"

Public hAccount         As String
Public hPassword        As String
Public hCDKey           As String
Public hClient          As Long
Public hBnetAddr        As String
Public hChannel         As String
Public hBnlsAddr        As String

Public Function TestConfig() As Boolean
    If (Len(hAccount) = 0) Then GoTo TestConfigErr
    If (Len(hCDKey) < 12) Then GoTo TestConfigErr
    If (Not hClient = CLIENT_PXES) And (Not hClient = CLIENT_RATS) Then GoTo TestConfigErr
    If (InStr(1, hBnetAddr, ".") = 0) Then GoTo TestConfigErr
    If (Len(hChannel) = 0) Then GoTo TestConfigErr
    If (InStr(1, hBnlsAddr, ".") = 0) Then GoTo TestConfigErr
    TestConfig = True
    Exit Function
TestConfigErr:
    Call modGUI.GUIUpdate(GUI_CONFIG)
End Function
Public Function LoadConfig(ByRef strAccount As String, _
                           ByRef strPassword As String, _
                           ByRef strCDKey As String, _
                           ByRef strClient As String, _
                           ByRef strServer As String, _
                           ByRef strChannel As String, _
                           ByRef strBNLS As String) As Boolean
    Dim strPath As String
    strPath = App.Path & CONFIG_INI
    'If (Len(Dir$(strPath)) = 0) Then Exit Function
    strAccount = GetINI(CONFIG_HEADER, CONFIG_VAR_ACC, strPath, CONFIG_VAR_ACC)
    strPassword = GetINI(CONFIG_HEADER, CONFIG_VAR_PASS, strPath, CONFIG_VAR_PASS)
    strCDKey = GetINI(CONFIG_HEADER, CONFIG_VAR_KEY, strPath, String(13, &H30))
    strClient = GetINI(CONFIG_HEADER, CONFIG_VAR_CLIENT, strPath, "Broodwar")
    strServer = GetINI(CONFIG_HEADER, CONFIG_VAR_SERVER, strPath, CONFIG_VAR_SERVER)
    strChannel = GetINI(CONFIG_HEADER, CONFIG_VAR_CHANNEL, strPath, CONFIG_VAR_CHANNEL)
    strBNLS = GetINI(CONFIG_HEADER, CONFIG_VAR_BNLS, strPath, CONFIG_VAR_BNLS)
End Function
Public Function SaveConfig(ByVal strAccount As String, _
                           ByVal strPassword As String, _
                           ByVal strCDKey As String, _
                           ByVal strClient As String, _
                           ByVal strServer As String, _
                           ByVal strChannel As String, _
                           ByVal strBNLS As String) As Boolean
    Dim strPath As String
    strPath = App.Path & CONFIG_INI
    'If (Len(Dir$(strPath)) = 0) Then Exit Function
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_ACC, strAccount, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_PASS, strPassword, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_KEY, strCDKey, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_CLIENT, strClient, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_SERVER, strServer, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_CHANNEL, strChannel, strPath)
    Call SaveINI(CONFIG_HEADER, CONFIG_VAR_BNLS, strBNLS, strPath)
End Function
Public Function ReadConfigGame(ByVal strKey As String, Optional ByVal strDefault As String = vbNullString) As String
    ReadConfigGame = GetINI(CONFIG_GAME_HEADER, strKey, App.Path & CONFIG_INI, strDefault)
End Function
Public Sub WriteConfigGame(ByVal strKey As String, ByVal strValue As String)
    Call SaveINI(CONFIG_GAME_HEADER, strKey, strValue, App.Path & CONFIG_INI)
End Sub
